## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without test

Name:           py3status
Version:        3.61
Release:        %autorelease
Summary:        An extensible i3status wrapper written in python

License:        BSD-3-Clause
URL:            https://github.com/ultrabug/py3status
Source0:        https://github.com/ultrabug/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with test}
BuildRequires:  python3-pytest
%endif
Requires:       i3status
Obsoletes:      %{name}-doc < 3.44-1

%description
Using py3status, you can take control of your i3bar easily by:
- writing your own modules and have their output displayed on your bar
- handling click events on your i3bar and play with them in no time
- seeing your clock tick every second whatever your i3status interval
No extra configuration file needed, just install & enjoy !

%pyproject_extras_subpkg -n %{name} dbus
%pyproject_extras_subpkg -n %{name} udev

%prep
%setup -q -n %{name}-%{version}
# allow upwards dependency matches
sed -i -e 's/dbus-python\s*==\s*/dbus-python >= /' pyproject.toml
sed -i -e 's/PyGObject\s*==\s*/PyGObject >= /' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files %{name}

%if %{with test}
%check
%pytest
%endif

%files -f %{pyproject_files}
%license LICENSE
%doc README.md CHANGELOG
%{_bindir}/py3-cmd
%{_bindir}/py3status

%changelog
## START: Generated by rpmautospec
* Thu Dec 05 2024 Michael J Gruber <mjg@fedoraproject.org> - 3.61-1
- Upgrade to version 3.61 (rhbz#2330535)
- argparsers: pgrep i3 with shmlog
- modules: fix SyntaxWarning for python 3.12+
- conky module: fix tempfile and ignore new output
- mpris module: hide all non can_play players
- playerctl module: gi.require_version notification fix

* Sat Oct 26 2024 Michael J Gruber <mjg@fedoraproject.org> - 3.60-1
- Upgrade to version 3.60 (rhbz#2321559)
- external_script module: add composite placeholder
- playerctl module: hide non-can-play players and use chrome and chromium
  as default value

* Sun Aug 04 2024 Michael J Gruber <mjg@fedoraproject.org> - 3.59-1
- Upgrade to version 3.59 (rhbz#2302675)
- core: strip whitespaces from OUTPUT, OUTPUT_PART events
- external_script module: fix clicking on parts of message
- mpris module: fix kdeconnect interaction

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.58-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 3.58-2
- Rebuilt for Python 3.13

* Sat Jun 01 2024 Michael J Gruber <mjg@fedoraproject.org> - 3.58-1
- Upgrade to version 3.58 (rhbz#2284194)
- conky module: skip invalid conky errors
- weather_owm module: switch to 3.0 API endpoint as 2.5 is deprecated

* Thu Mar 28 2024 Michael J Gruber <mjg@fedoraproject.org> - 3.57-2
- Allow upwards dependency matches (rhbz#2271807)

* Tue Mar 26 2024 Michael J Gruber <mjg@fedoraproject.org> - 3.57-1
- Upgrade to version 3.57 (rhbz#2271663)
- fmt: fix newer black
- backlight module: add brightnessctl support
- conky module: workaround upstream issues/1479
- volume_status module: fix for default source with pamixer

* Sun Mar 24 2024 Michael J Gruber <mjg@fedoraproject.org> - 3.56-2
- Rebuild for pygobject3-3.48 (rhbz#2271293}

* Mon Jan 29 2024 Michael J Gruber <mjg@fedoraproject.org> - 3.56-1
- Upgrade to version 3.56 (rhbz#2260803)
- remove audio modules in favor of playerctl
- new module dexcom: display glucose readings from your Dexcom (requires
  pydexcom from pypy)
- volume_status module: pamixer fix command if device is 0
- volume_status module: pamixer: Use default device if none specified

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.55-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.55-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 15 2024 Michael J Gruber <mjg@fedoraproject.org> - 3.55-1
- Upgrade to version 3.55 (rhbz#2258236)
- bluetooth module: reinitialize dbus to fix after sleep behavior
- lm_sensors module: fix invalid json if specified more than one chip
- nvidia_smi module: fix --list-properties
- vpn_status module: add formatters for displaying IP addresses of VPNs

* Sun Sep 10 2023 Michael J Gruber <mjg@fedoraproject.org> - 3.53-1
- Upgrade to version 3.53 (rhbz#2238223)
- new module playerctl: control players supported by playerctl

* Tue Sep 05 2023 Michael J Gruber <mjg@fedoraproject.org> - 3.52-1
- Update to version 3.52 (rhbz#2227848)
- IMPORTANT: gevent support is now deprecated and removed

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.51-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Michael J Gruber <mjg@fedoraproject.org> - 3.51-1
- Update to version 3.51 (rhbz#2218379)
- NEW: py3status can now run in lots of other containers (tmux, term,
  dzen2, lemonbar...)
- IMPORTANT: modules are moving away from the obsolete pydbus library to
  dbus library
- various bug fixes

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 3.50-2
- Rebuilt for Python 3.12

* Tue Apr 18 2023 Michael J Gruber <mjg@fedoraproject.org> - 3.50-1
- Upgrade to version 3.50 (rhbz#187614)
- battery_level module: skip batteries with unavailable info
- vpn_status module: add wireguard support

* Sat Feb 18 2023 Michael J Gruber <mjg@fedoraproject.org> - 3.49-1
- Upgrade to version 3.49 (rhbz#2171131)
- do_not_disturb module: use 'makoctl mode' to check current mode
- google_calendar module: add support to configure which google calendar
  will be used

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.48-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jan 15 2023 Michael J Gruber <mjg@fedoraproject.org> - 3.48-1
- Upgrade to version 3.48 (rhbz#2160987)
- IMPORTANT: bluetooth module has been replaced by the bluetooth2 code,
  please migrate
- clock module: migrate to standard zoneinfo
- timewarrior module: remove dependency on dateutil
- volume_status module: deprecate start_delay parameter (init retreies
  smarter now)

* Tue Dec 06 2022 Michael J Gruber <mjg@fedoraproject.org> - 3.47-2
- SPDX migration

* Mon Oct 03 2022 Michael J Gruber <mjg@fedoraproject.org> - 3.47-1
- Upgrade to version 3.47 (rhbz#2131607)
- formatter: add escape command to escape html
- new module from scratch: bluetooth2 (users are encouraged to switch)
- volume_status module: autoselect channel on amixer backend

* Sat Aug 27 2022 Michael J Gruber <mjg@fedoraproject.org> - 3.46-1
- Upgrade to version 3.46 (rhbz#2121862)
- core: use git package for logging git commit information if available
- new audiosink module: switch between pulseaudio sinks from your bar

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.45-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 20 2022 Python Maint <python-maint@redhat.com> - 3.45-2
- Rebuilt for Python 3.11

* Sun Jun 19 2022 Michael J Gruber <mjg@fedoraproject.org> - 3.45-1
- Upgrade to version 3.45 (bz #1925984)
- Disable linters

* Thu Jun 09 2022 Michael J Gruber <mjg@fedoraproject.org> - 3.44-1
- Upgrade to version 3.44 (bz #1925984)
- Clean up spec file
- Drop doc subpackage (see bz #2006555)
- Reenable tests

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.34-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.34-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 3.34-2
- Rebuilt for Python 3.10

* Fri Mar 5 2021 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.34-1
- Bump to 3.34

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 2020 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.31-1
- Bump to 3.31

* Sat Oct 24 2020 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.30-1
- Bump to 3.30

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.24-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 3.24-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 11 2020 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.24-1
- Upgrade to version 3.24

* Sun Jan 05 2020 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.23-1
- Upgrade to version 3.23

* Wed Oct 23 2019 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.21-1
- Upgrade to version 3.21

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 3.19-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 3.19-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 10 2019 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.19-1
- Upgrade to version 3.19

* Wed Feb 20 2019 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.16-1
- Upgrade to version 3.16

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Aug 10 2018 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.12-1
- Update to new version

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.11-1
- Update to new version

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 3.9-2
- Rebuilt for Python 3.7

* Thu May 17 2018 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.9-1
- Update to new version

* Mon Apr 16 2018 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.8-1
- Update to new version (BZ#1563227)

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.6-4
- Escape macros in %%changelog

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 24 2017 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.5-2
- don't build -doc subpackage for F25, there is a weird error

* Thu Aug 24 2017 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.5-1
- update to version 3.6
- add -doc subpackage

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Apr 10 2017 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.5-1
- update to version 3.5

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 3.3-2
- Rebuild for Python 3.6

* Sun Nov 20 2016 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.3-1
- update to version 3.3

* Thu Nov 03 2016 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.2-1
- update to version 3.2

* Thu Sep 15 2016 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.1-1
- update to version 3.1

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jun 27 2016 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 3.0-1
- update to version 3.0

* Thu Apr 21 2016 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 2.9-1
- update to version 2.9
- use python3 support as default (BZ#1282483)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 12 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 2.7-1
- update to version 2.7

* Mon Aug 31 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 2.6-2
- fix modules location, it won't be used in %%doc anymore

* Mon Aug 31 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 2.6-1
- update to version 2.6

* Tue Aug 25 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 2.5-1
- update to version 2.5

* Thu Jul 16 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 2.4-1
- update to version 2.4

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 2.2-2
- move modules dir into docs

* Thu Jan 22 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 2.2-1
- update to new version

* Mon Oct 27 2014 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 1.6-1
- inital package

## END: Generated by rpmautospec
